using System;
using System.Data;
using System.Collections.Generic;
using ZXDT.Common;
using ZXDT.CallCenter.Model;
namespace ZXDT.CallCenter.BLL
{
	/// <summary>
	/// T_Wo_WorkOrderTaskHasten
	/// </summary>
	public partial class T_Wo_WorkOrderTaskHasten
	{
		private readonly ZXDT.CallCenter.DAL.T_Wo_WorkOrderTaskHasten dal=new ZXDT.CallCenter.DAL.T_Wo_WorkOrderTaskHasten();
		public T_Wo_WorkOrderTaskHasten()
		{}
		#region  Method

		/// <summary>
		/// 增加一条数据
		/// </summary>
		public int  Add(ZXDT.CallCenter.Model.T_Wo_WorkOrderTaskHasten model)
		{
			return dal.Add(model);
		}

		/// <summary>
		/// 更新一条数据
		/// </summary>
		public bool Update(ZXDT.CallCenter.Model.T_Wo_WorkOrderTaskHasten model)
		{
			return dal.Update(model);
		}

		/// <summary>
		/// 删除一条数据
		/// </summary>
		public bool Delete(int F_HASTENID)
		{
			
			return dal.Delete(F_HASTENID);
		}
		/// <summary>
		/// 删除一条数据
		/// </summary>
		public bool DeleteList(string F_HASTENIDlist )
		{
			return dal.DeleteList(F_HASTENIDlist );
		}

		/// <summary>
		/// 得到一个对象实体
		/// </summary>
		public ZXDT.CallCenter.Model.T_Wo_WorkOrderTaskHasten GetModel(int F_HASTENID)
		{
			
			return dal.GetModel(F_HASTENID);
		}

		/// <summary>
		/// 得到一个对象实体，从缓存中
		/// </summary>
        //public ZXDT.CallCenter.Model.T_Wo_WorkOrderTaskHasten GetModelByCache(int F_HASTENID)
        //{
			
        //    string CacheKey = "T_Wo_WorkOrderTaskHastenModel-" + F_HASTENID;
        //    object objModel = Maticsoft.Common.DataCache.GetCache(CacheKey);
        //    if (objModel == null)
        //    {
        //        try
        //        {
        //            objModel = dal.GetModel(F_HASTENID);
        //            if (objModel != null)
        //            {
        //                int ModelCache = Maticsoft.Common.ConfigHelper.GetConfigInt("ModelCache");
        //                Maticsoft.Common.DataCache.SetCache(CacheKey, objModel, DateTime.Now.AddMinutes(ModelCache), TimeSpan.Zero);
        //            }
        //        }
        //        catch{}
        //    }
        //    return (ZXDT.CallCenter.Model.T_Wo_WorkOrderTaskHasten)objModel;
        //}

		/// <summary>
		/// 获得数据列表
		/// </summary>
		public DataSet GetList(string strWhere)
		{
			return dal.GetList(strWhere);
		}
		/// <summary>
		/// 获得前几行数据
		/// </summary>
		public DataSet GetList(int Top,string strWhere,string filedOrder)
		{
			return dal.GetList(Top,strWhere,filedOrder);
		}
		/// <summary>
		/// 获得数据列表
		/// </summary>
		public List<ZXDT.CallCenter.Model.T_Wo_WorkOrderTaskHasten> GetModelList(string strWhere)
		{
			DataSet ds = dal.GetList(strWhere);
			return DataTableToList(ds.Tables[0]);
		}
		/// <summary>
		/// 获得数据列表
		/// </summary>
		public List<ZXDT.CallCenter.Model.T_Wo_WorkOrderTaskHasten> DataTableToList(DataTable dt)
		{
			List<ZXDT.CallCenter.Model.T_Wo_WorkOrderTaskHasten> modelList = new List<ZXDT.CallCenter.Model.T_Wo_WorkOrderTaskHasten>();
			int rowsCount = dt.Rows.Count;
			if (rowsCount > 0)
			{
				ZXDT.CallCenter.Model.T_Wo_WorkOrderTaskHasten model;
				for (int n = 0; n < rowsCount; n++)
				{
					model = new ZXDT.CallCenter.Model.T_Wo_WorkOrderTaskHasten();
					if(dt.Rows[n]["F_HASTENID"]!=null && dt.Rows[n]["F_HASTENID"].ToString()!="")
					{
						model.F_HASTENID=int.Parse(dt.Rows[n]["F_HASTENID"].ToString());
					}
					if(dt.Rows[n]["F_WORKORDERID"]!=null && dt.Rows[n]["F_WORKORDERID"].ToString()!="")
					{
						model.F_WORKORDERID=int.Parse(dt.Rows[n]["F_WORKORDERID"].ToString());
					}
					if(dt.Rows[n]["F_TASKID"]!=null && dt.Rows[n]["F_TASKID"].ToString()!="")
					{
						model.F_TASKID=int.Parse(dt.Rows[n]["F_TASKID"].ToString());
					}
					if(dt.Rows[n]["F_DEPTID"]!=null && dt.Rows[n]["F_DEPTID"].ToString()!="")
					{
						model.F_DEPTID=int.Parse(dt.Rows[n]["F_DEPTID"].ToString());
					}
					if(dt.Rows[n]["F_USERID"]!=null && dt.Rows[n]["F_USERID"].ToString()!="")
					{
						model.F_USERID=int.Parse(dt.Rows[n]["F_USERID"].ToString());
					}
					if(dt.Rows[n]["F_DEPTIDBY"]!=null && dt.Rows[n]["F_DEPTIDBY"].ToString()!="")
					{
						model.F_DEPTIDBY=int.Parse(dt.Rows[n]["F_DEPTIDBY"].ToString());
					}
					if(dt.Rows[n]["F_USERIDBY"]!=null && dt.Rows[n]["F_USERIDBY"].ToString()!="")
					{
						model.F_USERIDBY=int.Parse(dt.Rows[n]["F_USERIDBY"].ToString());
					}
					if(dt.Rows[n]["F_HASTENDATE"]!=null && dt.Rows[n]["F_HASTENDATE"].ToString()!="")
					{
						model.F_HASTENDATE=DateTime.Parse(dt.Rows[n]["F_HASTENDATE"].ToString());
					}
					if(dt.Rows[n]["F_HASTENTYPE"]!=null && dt.Rows[n]["F_HASTENTYPE"].ToString()!="")
					{
						model.F_HASTENTYPE=int.Parse(dt.Rows[n]["F_HASTENTYPE"].ToString());
					}
					if(dt.Rows[n]["F_CONTENT"]!=null && dt.Rows[n]["F_CONTENT"].ToString()!="")
					{
					model.F_CONTENT=dt.Rows[n]["F_CONTENT"].ToString();
					}
					if(dt.Rows[n]["F_SHOWFLAG"]!=null && dt.Rows[n]["F_SHOWFLAG"].ToString()!="")
					{
						model.F_SHOWFLAG=int.Parse(dt.Rows[n]["F_SHOWFLAG"].ToString());
					}
					if(dt.Rows[n]["F_SHOWDATE"]!=null && dt.Rows[n]["F_SHOWDATE"].ToString()!="")
					{
						model.F_SHOWDATE=DateTime.Parse(dt.Rows[n]["F_SHOWDATE"].ToString());
					}
					if(dt.Rows[n]["F_DELETEFLAG"]!=null && dt.Rows[n]["F_DELETEFLAG"].ToString()!="")
					{
						model.F_DELETEFLAG=int.Parse(dt.Rows[n]["F_DELETEFLAG"].ToString());
					}
					modelList.Add(model);
				}
			}
			return modelList;
		}

		/// <summary>
		/// 获得数据列表
		/// </summary>
		public DataSet GetAllList()
		{
			return GetList("");
		}

		/// <summary>
		/// 分页获取数据列表
		/// </summary>
		public int GetRecordCount(string strWhere)
		{
			return dal.GetRecordCount(strWhere);
		}
		/// <summary>
		/// 分页获取数据列表
		/// </summary>
		public DataSet GetListByPage(string strWhere, string orderby, int startIndex, int endIndex)
		{
			return dal.GetListByPage( strWhere,  orderby,  startIndex,  endIndex);
		}
		/// <summary>
		/// 分页获取数据列表
		/// </summary>
		//public DataSet GetList(int PageSize,int PageIndex,string strWhere)
		//{
			//return dal.GetList(PageSize,PageIndex,strWhere);
		//}

		#endregion  Method
	}
}

